E-MailRelay

Public Attributes | List of all members
GNet::SocketImp::Options Struct Reference

Socket options. More...

## Public Attributes
bool | connect_pureipv6 {true}
bool | bind_pureipv6 {true}
bool | bind_reuse {true}
bool | bind_exclusive { G::Test::enabled("socket-exclusive") }

## Detailed Description

Socket options.

Definition at line 45 of file gsocket.cpp.

## Member Data Documentation

## ◆ bind_exclusive

bool GNet::SocketImp::Options::bind_exclusive { G::Test::enabled("socket-exclusive") }

Definition at line 50 of file gsocket.cpp.

## ◆ bind_pureipv6

bool GNet::SocketImp::Options::bind_pureipv6 {true}

Definition at line 48 of file gsocket.cpp.

## ◆ bind_reuse

bool GNet::SocketImp::Options::bind_reuse {true}

Definition at line 49 of file gsocket.cpp.

## ◆ connect_pureipv6

bool GNet::SocketImp::Options::connect_pureipv6 {true}

Definition at line 47 of file gsocket.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gsocket.cpp